> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Business Applications



## OpenAPI

````yaml api-reference/openapi-apply.json GET /apply/business_application
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/business_application:
    get:
      tags:
        - Business Application
      summary: List Business Applications
      parameters:
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - bank_id: bank_anybank
                        bankdata: null
                        created_at: '2019-03-02T11:55:14Z'
                        dba: null
                        description: >-
                          Our company is engaged in the buying and selling of
                          [...]
                        established_on: '2018-08-01'
                        id: abus_21sen7m398ab
                        identification_number: null
                        identification_number_type: null
                        incorporation_state: DE
                        legal_structure: llc
                        mailing_address:
                          city: Sacramento
                          country: US
                          postal_code: '95814'
                          state: CA
                          street_line_1: 1300 L St
                        naics: '42'
                        naics_description: Wholesale Trade
                        name: Acme Goods Inc
                        person_applications:
                          - id: apsn_01d5w6yaa6vt
                            ownership_percentage: 25
                            roles:
                              - signer
                            title: CEO
                          - id: apsn_0fd62018smsk
                            ownership_percentage: 30
                            roles:
                              - control_person
                              - signer
                            title: CFO
                        phone_number: +1 415-555-1111
                        physical_address:
                          city: Benicia
                          postal_code: '94510'
                          state: CA
                          street_line_1: 115 W G St
                        tin: 11-3344555
                        updated_at: '2019-03-02T11:55:14Z'
                        urls:
                          - http://example.com
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        bank_id:
                          description: ID of the bank with which the object is associated
                          type: string
                        bankdata:
                          description: >-
                            Optional arbitrary data that can be attached for the
                            bank's use
                          type: object
                        dba:
                          description: >-
                            Alternate 'Doing Business As' name of the business,
                            if it has one
                          type: string
                        description:
                          description: Description of the business
                          type: string
                        document_ids:
                          description: Array of Document IDs pertaining to this business
                          items:
                            type: string
                          type: array
                        established_on:
                          description: >-
                            Date that the business was established, ISO 8601
                            format ('YYYY-MM-DD')
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        identification_number:
                          description: >-
                            International identification number (max of 30
                            characters)
                          type: string
                        identification_number_type:
                          description: >-
                            Type of international identification number (max of
                            30 characters)
                          type: string
                        incorporation_state:
                          description: >-
                            State (max 2 characters for US, max 3 characters for
                            other countries)
                          type: string
                        is_publicly_traded:
                          description: >-
                            Whether the business is a publicly traded entity.
                            Null value means its trading status is unknown.
                          type: boolean
                        legal_structure:
                          description: >-
                            How the business is legally structured: one of
                            `ccorp`, `corp`, `estate`, `foreign_entity`, `llc`,
                            `llp`, `lp`, `nonprofit`, `partnership`, `scorp`,
                            `soleprop`, `trust`, or `municipality`
                          type: string
                        mailing_address:
                          description: >-
                            Object describing the mailing address of the
                            business
                          properties:
                            city:
                              description: City (max 18 characters)
                              type: string
                            country:
                              description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                              type: string
                            postal_code:
                              description: >-
                                Postal code (5-digit or 5+4 Zip Code for U.S.
                                addresses)
                              type: string
                            state:
                              description: >-
                                State (max 2 characters for US, max 3 characters
                                for other countries)
                              type: string
                            street_line_1:
                              description: First line of the address (max 35 characters)
                              type: string
                            street_line_2:
                              description: >-
                                Optional second line of the address (max 35
                                characters)
                              type: string
                          type: object
                        naics:
                          description: >-
                            NAICS sector code that describes the industry in
                            which the business operates
                          type: string
                        naics_description:
                          description: >-
                            NAICS sector description matching the above NAICS
                            sector code. If 'Other', please use an industry
                            description prefixed with 'Other: '
                          type: string
                        name:
                          description: Name of the business
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated
                          type: string
                        parent_businesses:
                          deprecated: true
                          description: Array of business IDs pertaining to this business
                          items:
                            properties:
                              id:
                                description: Parent business application ID
                                type: string
                              ownership_percentage:
                                description: Ownership percentage of the parent business
                                type: integer
                            type: object
                          type: array
                        person_applications:
                          description: >-
                            Array of objects describing person applications
                            associated with this business
                          items:
                            properties:
                              id:
                                description: Person application ID
                                type: string
                              ownership_percentage:
                                description: >-
                                  The person's ownership interest in the
                                  business, represented as an integer from 0 to
                                  100
                                type: integer
                              roles:
                                description: >-
                                  List of applicant's roles, if applicable.
                                  Valid roles are `signer`, `control_person`,
                                  and `debit_card_holder`
                                items:
                                  type: string
                                type: array
                              title:
                                description: >-
                                  Title of the person within the business (e.g.
                                  'Owner', 'CEO', 'Treasurer')
                                type: string
                            type: object
                          type: array
                        phone_number:
                          description: Phone number of the business
                          type: string
                        physical_address:
                          description: >-
                            Object describing the physical address of the
                            business
                          properties:
                            city:
                              description: City (max 18 characters)
                              type: string
                            country:
                              description: Country (ISO 3166-1 alpha-2). Defaults to `US`
                              type: string
                            postal_code:
                              description: >-
                                Postal code (5-digit or 5+4 Zip Code for U.S.
                                addresses)
                              type: string
                            state:
                              description: >-
                                State (max 2 characters for US, max 3 characters
                                for other countries)
                              type: string
                            street_line_1:
                              description: First line of the address (max 35 characters)
                              type: string
                            street_line_2:
                              description: >-
                                Optional second line of the address (max 35
                                characters)
                              type: string
                          type: object
                        tin:
                          description: >-
                            Tax identification number (EIN or other tax ID) for
                            U.S. businesses
                          type: string
                        urls:
                          description: URLs for the business website(s)
                          items:
                            type: string
                          type: array
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` business-application elements, starting after the
            business-application described by `page_cursor`. If no more
            business-applications are available, the resulting list will be
            empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````